Error
A valid request URL is required to generate request examples{
"results": {
"hasCredentialError": true,
"projectSubPath": "<string>",
"branch": "<string>",
"repository": "<string>",
"type": "dbt",
"precedence": 123,
"isPrimary": true,
"name": "<string>",
"projectDbtSourceUuid": "<string>",
"dbtConnection": {
"type": "dbt",
"target": "<string>",
"environment": [
{
"value": "<string>",
"key": "<string>"
}
],
"selector": "<string>",
"profiles_dir": "<string>",
"project_dir": "<string>"
}
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Projects
Get dbt source
Get a single dbt source including its connection, with credentials stripped — used to pre-fill the edit form.
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
dbt-sources
/
{projectDbtSourceUuid}
Error
A valid request URL is required to generate request examples{
"results": {
"hasCredentialError": true,
"projectSubPath": "<string>",
"branch": "<string>",
"repository": "<string>",
"type": "dbt",
"precedence": 123,
"isPrimary": true,
"name": "<string>",
"projectDbtSourceUuid": "<string>",
"dbtConnection": {
"type": "dbt",
"target": "<string>",
"environment": [
{
"value": "<string>",
"key": "<string>"
}
],
"selector": "<string>",
"profiles_dir": "<string>",
"project_dir": "<string>"
}
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Response
Success
A single dbt source including its connection, with sensitive credentials
(tokens, keys) stripped — used to pre-fill the edit form. Secrets left out
here are preserved on update via mergeMissingDbtConfigSecrets.
Show child attributes
Show child attributes
Available options:
ok Was this page helpful?